# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "diesel_pg_ext"
version = "0.2.0"
authors = ["developer@danilo.info"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PostgreSQL-specific diesel SQL function extensions"
readme = "README.md"
keywords = ["database"]
categories = ["database"]
license = "MIT"
repository = "https://github.com/dnp1/diesel_pg_ext"

[lib]
name = "diesel_pg_ext"
path = "src/lib.rs"

[[test]]
name = "test_additional_sql"
path = "tests/test_additional_sql.rs"

[[test]]
name = "test_group_function"
path = "tests/test_group_function.rs"

[[test]]
name = "test_sql_generation"
path = "tests/test_sql_generation.rs"

[dependencies.diesel]
version = "~2.3.7"
features = [
    "postgres",
    "serde_json",
    "uuid",
]

[dev-dependencies.diesel-async]
version = "0.8.0"
features = [
    "postgres",
    "bb8",
    "migrations",
]

[dev-dependencies.diesel_migrations]
version = "2.3.1"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.test-containers-util]
version = "0.1.4"
features = ["pg-diesel"]

[dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
]

[dev-dependencies.uuid]
version = "1"
